

"use strict"
//====================================================================Практичне завдання 1



let firstFunct = (a,b) => console.log(a%b);

firstFunct(1,2);




//====================================================================Практичне завдання 2





function mathFunct() {

let a,b,operator;

    for(;;) {
//==================================Запрос на введення першого числа
    
    a = prompt(`Введіть перше число`);

//==================================Валідація першого числа
    if (isNaN(a)) {
        alert(`!! "${a}" не коректне значення. Введіть число !!`)
        continue;
    }
//==================================Запрос на введення другого числа

    b = prompt(`Перше число "${a}", введіть друге чилсо`);

//==================================Валідація другого числа
    if (isNaN(b)) {
        alert(`!! "${b}" не коректне значення. Введіть число !`)
        continue;
    }

//==================================Запрос на тип операції між заданними числами
       
    operator = prompt(`Вкажіть операцію для "${a}" та "${b}"`);

//==================================Валідація оператора
    switch (operator) {
        
        case '+':
            console.log(a+b);
            break;
        
        case '-':
            console.log(a-b);
            break;
        
        case '*':
            console.log(a*b);
            break;
    
        case '/':
            console.log(a/b);
            break;
        
        default:
            console.log("Такої операції не існує")
            continue;
    }
//==================================Завершення циклу якщо валідація пройшла успішно
    break;
    
    }

}
mathFunct();



//====================================================================Практичне завдання 3

function factorial() {
    let x = +prompt(`Введіть число`);
    let i = 1;
    while(x) {
        i*=x--
        console.log(i);
    }
}
factorial();